opam-admin-make(1)

NAME

opam-admin-make - Initialize a repo for serving files.

SYNOPSIS

opam-admin make [OPTION]... [PKG]...

ARGUMENTS

PKG Names of the packages to include in the repo.

OPTIONS

--compiler=VAL
    Specify the variable 'ocaml_version' to be used to filter packages when using '--resolve'.

-d, --dryrun
    Simply display the possible actions instead of executing them.

--debug
    Display debug messages.

--dev
    Include development dependencies while recursing among the transitive dependencies of the packages.

-g, --generate-checksums
    Automatically correct the wrong archive checksums.

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of `auto', `pager', `groff' or `plain'. With `auto', the format is `pager` or `plain' whenever the TERM env var is `dumb' or undefined.

-i, --index
    Only build indexes, not package archives.

-r, --recursive
    Recurse among the transitive dependencies of the packages and download all available versions of the dependencies.

--resolve
    A more advanced version of `--recursive' that calculates a single usable snapshot of the package universe, resulting in a single version of each package. If you need more flexibility among package versions, you should continue to use `--recursive' to download all the archives.

--switch=VAL
    Specify the variable switch' to be used to filter packages when using '--resolve'. (Default: 'compiler_version')

--version
    Show version information.